commit 27ea737f51c619dc70378b881666996d3aaa0025
Author: jklowden <jklowden>
Date:   Mon Jul 7 18:28:25 2008 +0000

    added -v to print instance information

diff --git a/ChangeLog b/ChangeLog
index 0153ac1..1447ca8 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Mon Jul  7 14:27:28 EDT 2008	JK Lowden <jklowden@freetds.org>
+	* src/apps/tsql.c added -v to print instance information
+
 Mon Jul 07 15:16:09 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/blob1.c: make it works with MS ODBC
 
@@ -390,4 +393,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2543 2008/07/07 13:17:51 freddy77 Exp $
+$Id: ChangeLog,v 1.2544 2008/07/07 18:28:25 jklowden Exp $
diff --git a/src/apps/tsql.c b/src/apps/tsql.c
index 7a668cd..bdf86d9 100644
--- a/src/apps/tsql.c
+++ b/src/apps/tsql.c
@@ -85,7 +85,7 @@
 #include "tdsconvert.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: tsql.c,v 1.118 2008/05/31 08:54:31 freddy77 Exp $");
+TDS_RCSID(var, "$Id: tsql.c,v 1.119 2008/07/07 18:28:27 jklowden Exp $");
 
 #define TDS_ISSPACE(c) isspace((unsigned char) (c))
 
@@ -95,12 +95,14 @@ enum
 	OPT_TIMER =    0x02,
 	OPT_NOFOOTER = 0x04,
 	OPT_NOHEADER = 0x08,
-	OPT_QUIET =    0x10
+	OPT_QUIET =    0x10,
+	OPT_VERBOSE =  0x20
 };
 
 static int istty = 0;
 static int global_opt_flags = 0;
 #define QUIET (global_opt_flags & OPT_QUIET)
+#define VERBOSE (global_opt_flags & OPT_VERBOSE)
 
 static char *opt_col_term = "\t";
 static char *opt_row_term = "\n";
@@ -392,7 +394,7 @@ populate_login(TDSLOGIN * login, int argc, char **argv)
 #endif
 
 
-	while ((opt = getopt(argc, argv, "H:S:I:P:U:p:Co:t:r:D:")) != -1) {
+	while ((opt = getopt(argc, argv, "H:S:I:P:U:p:Co:t:r:D:v")) != -1) {
 		switch (opt) {
 		case 't':
 			opt_col_term = strdup(optarg);
@@ -429,6 +431,9 @@ populate_login(TDSLOGIN * login, int argc, char **argv)
 		case 'p':
 			port = atoi(optarg);
 			break;
+		case 'v':
+			global_opt_flags |= OPT_VERBOSE;
+			break;
 		case 'C':
 			settings = tds_get_compiletime_settings();
 			printf("%s\n%35s: %s\n%35s: %s\n%35s: %s\n%35s: %s\n%35s: %s\n%35s: %s\n%35s: %s\n%35s: %s\n%35s: %s\n",
@@ -587,6 +592,16 @@ slurp_input_file(char *fname, char **mybuf, int *bufsz, size_t *buflen, int *lin
 	fclose(fp);
 }
 
+static void
+print_instance_data(TDSCONNECTION *connection) 
+{
+	if (!connection)
+		return;
+	
+	if (!tds_dstr_isempty(&connection->instance_name))
+		printf("connecting to instance %s on port %d\n", tds_dstr_cstr(&connection->instance_name), connection->port);
+}
+
 extern const char STD_DATETIME_FMT[];
 
 int
@@ -682,13 +697,17 @@ main(int argc, char **argv)
 	}
 #endif
 	if (!connection || tds_connect(tds, connection) == TDS_FAIL) {
-		tds_free_connection(connection);
+		if( VERBOSE ) 
+			print_instance_data(connection);
+		print_instance_data(connection);
 		tds_free_socket(tds);
 		tds_free_login(login);
 		tds_free_context(context);
 		fprintf(stderr, "There was a problem connecting to the server\n");
 		exit(1);
 	}
+	if( VERBOSE ) 
+		print_instance_data(connection);
 	tds_free_connection(connection);
 	/* give the buffer an initial size */
 	bufsz = 4096;

